Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 673919 - Review Request: monkey - Very small, fast and scalable web server for Linux.
Summary: Review Request: monkey - Very small, fast and scalable web server for Linux.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Guillermo Gómez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-01-31 05:06 UTC by Antonio Sebastián Sallés
Modified: 2014-08-19 08:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 10:45:46 UTC


Attachments (Terms of Use)

Description Antonio Sebastián Sallés 2011-01-31 05:06:57 UTC
Spec URL: http://rpmdev.proyectofedora.org/attachments/download/294/monkey.spec
SRPM URL:
http://rpmdev.proyectofedora.org/attachments/download/292/monkey-0.12.2-1.fc14.src.rpm
Description: Monkey is a very Fast and Lightweight Web Server (HTTP SERVER) for GNU/Linux platforms. It tries to take the most of Linux Kernel to deliver a great performance and as opposite to many other similar projects, Monkey is not portable between different operative systems as it depends of specific Linux system calls. Also, Monkey can be easily extended, it provides a flexible API to create plugins which are loaded on startup per configuration.
What make it so fast ?, It's written in C and use an hybrid networking model based on fixed threads, polling and asynchrounous calls, providing a real scalable web server with low CPU and memory consumption. Performance is our main goal.


More information in:
http://www.monkey-project.com/downloads

Please, I need a sponsor.
Thanks a lot!

Comment 1 Guillermo Gómez 2011-02-08 21:49:12 UTC
I'll review in parallel with Toshio.

Comment 2 Guillermo Gómez 2011-02-09 18:29:52 UTC
MUST
----
rpmlint output - MISSING

Package name - OK

Spec file matches base package - OK

License must be licensed with a Fedora approved license and meet the Licensing
Guidelines - OK

License in spec must match actual license - OK

License file include in %doc - OK

Spec file written in American English - OK

Spec file legible - OK

Tar ball matches upstream - OK

Package successfully builds binary RPMs - OK (koji f13,f14, local f14 x86_64)

No duplicate files - OK

Macro use must be consistant - OK

At the beginning of %install, each package MUST run rm -rf %{buildroot} - OK

All filenames in rpm packages must be valid UTF-8 - OK

Your package should contain man pages for binaries/scripts. If it doesn't, work
with upstream to add them where they make sense - SHOULD

/etc/rc.d/init.d/banana sysv initscript provided but not configured.

Please follow http://fedoraproject.org/wiki/Packaging:SysVInitScript to include the initscript.

Comment 3 Miroslav Suchý 2012-12-16 12:55:16 UTC
Ping? Any progress here? Or we can close this review?

Comment 4 Miroslav Suchý 2013-02-19 10:45:46 UTC
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue in this review, please reopen or
submit new review.

Comment 5 Murray McAllister 2014-08-19 08:37:01 UTC
Hello,

If this gets reopened, please try to include a fix for this issue before releasing the package in Fedora:

http://www.openwall.com/lists/oss-security/2014/08/18/5

Thanks,

--
Murray McAllister / Red Hat Product Security


Note You need to log in before you can comment on or make changes to this bug.